Pāriet uz saturu

Happy Horse 1.1 Text to Video

Integrēt

Modeļa id alibaba/happy-horse/v1.1/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/alibaba/happy-horse/v1.1/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Šis pieprasījums: 0,90 $ 900 API kredītu · ≈ 96,71 ₽ Izpildīt šajā lapā

Iegūt API atslēgu
Alibaba Teksts uz video 3–15 slīdz 1080p #happy-horse#video#text

Video ģenerēšana tikai no uzvednes, ar 3-15 sekunžu klipiem, 720p vai 1080p un deviņām malu attiecībām

Alibaba · Video

Šeit būs jūsu pirmais rezultāts

Izveidojiet pieprasījumu tālāk un izpildiet to ar savu API atslēgu. Izvades tiek kopētas mūsu krātuvē un glabātas mūžīgi vai 7 dienas bez maksas.

Izveidot pieprasījumu

Vadīklas tiek ģenerētas no modeļa shēmas. Kods un cena tiek atjaunināti, kad tos maināt.

•obligāts

Teksts izveidojamā video aprakstam, ierobežots līdz 2500 rakstzīmēm.

duration 5 s

Iegūtā video garums no 3 līdz 15 sekundēm.

aspect_ratio noklusējums 16:9

Iegūtā video malu attiecība.

resolution noklusējums 1080p

Iegūtā video izšķirtspējas līmenis.

Papildu seed · enable_safety_checker

Nejauša sēkla atkārtojamiem rezultātiem diapazonā no 0 līdz 2147483647.

POST /run/alibaba/happy-horse/v1.1/text-to-video?wait=20 cena → 0,90 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/alibaba/happy-horse/v1.1/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Palaist šo pieprasījumu

Jūsu atslēga paliek šajā pārlūkprogrammā: tā tiek nosūtīta tikai uz Doitong API un saglabāta (localStorage) tikai tad, ja atzīmējat Atcerēties. Iegūt API atslēgu

Par Happy Horse 1.1 Text to Video

Izveido video tikai no teksta uzvednes, bez atsauces multivides. Uzvednes var būt līdz 2500 rakstzīmēm. Var iestatīt `duration` no 3 līdz 15 sekundēm, izvēlēties 720p vai 1080p un kādu no deviņām malu attiecībām, tostarp 16:9, 9:16, 1:1 un 21:9. `seed` padara rezultātus atkārtojamus.

Parametri

NosaukumsTips NoklusējumsAtļauts Apraksts
promptobligāts
Tipsstring
Teksts izveidojamā video aprakstam, ierobežots līdz 2500 rakstzīmēm.
aspect_rationeobligāts
Tipsenum
Noklusējums16:9
16:99:161:14:33:421:99:215:44:5
Iegūtā video malu attiecība.
resolutionneobligāts
Tipsenum
Noklusējums1080p
720p1080p
Iegūtā video izšķirtspējas līmenis.
durationneobligāts
Tipsenum
Noklusējums5
3456789101112131415
Iegūtā video garums no 3 līdz 15 sekundēm.
seedneobligāts
Tipsinteger | null
Nejauša sēkla atkārtojamiem rezultātiem diapazonā no 0 līdz 2147483647.
enable_safety_checkerneobligāts
Tipsboolean
Noklusējumstrue
Gan ievades, gan izvades moderēšana, kas tiek piemērota katram pieprasījumam, ja vien kontam nav atļauts to atspējot un opcija nav izslēgta.
obligāts

Izvade

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "alibaba/happy-horse/v1.1/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 900,
    "usd": "0.90",
    "charged": 900,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Jūsu faili, jūsu izvēleKatrs outputs[].url ir kopija mūsu krātuvē: tiek glabāta mūžīgi (maksa par GB mēnesī) vai 7 dienas bez maksas — atbilstoši konta iestatījumam vai ?storage=.
Vienāda struktūra katram modelimtype, url, content_type, width, height un duration gan attēliem, gan video un audio. output ir paša modeļa rezultāta objekts.
Izvades lauki
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}Ģenerēšanas rezultātā iegūtais video fails.
seed
integerĢenerēšanas laikā lietotā sēklas vērtība.

Vairāk modeļu: Teksts uz video

AI aģentiem: šī lapa Markdown formātā ir pieejama https://doitong.com/lv/developers/models/alibaba/happy-horse/v1.1/text-to-video.md. Visi modeļi un ceļveži: https://doitong.com/developers/llms.txt